<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- specify xhtml output -->
	<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<index>
			<xsl:for-each select="/index/test">
				<test>
					<xsl:for-each select="@*">
						<xsl:variable name="attribute-name" select="name()"/>
						<xsl:attribute name="{$attribute-name}"><xsl:value-of select="."/></xsl:attribute>
					</xsl:for-each>
				</test>
			</xsl:for-each>
		</index>
	</xsl:template>

</xsl:stylesheet>
